Automated System Recovery overview

You should create Automated System Recovery (ASR) sets on a regular basis as part of an overall plan for system recovery in case of system failure. ASR should be a last resort for system recovery, used only after you have exhausted other options, such as Safe Mode Boot and Last Known Good. For more information about other recovery options, see Repair overview.

ASR is a two-part system of recovery: ASR backup and ASR restore. The backup portion is accomplished through the ASR Wizard located in Backup. The wizard backs up the system state, system services, and all disks associated with the operating system components. It also creates a file containing information about the backup, the disk configurations (including basic and dynamic volumes) and how to accomplish a restore.

You can access the restore portion by pressing F2 when prompted in the text-mode portion of setup. ASR will read the disk configurations from the file that it creates and restore all of the disk signatures, volumes and partitions on, at a minimum, the disks required to start the computer. (It will attempt to restore all of the disk configurations, but under some circumstances, it might not be able to.) ASR then installs a simple installation of Windows and automatically starts a restoration using the backup created by the ASR wizard.


Start the computer in safe mode

Microsoft Windows graphic

To start the computer in safe mode

  1. You should print these instructions before continuing. They will not be available after you shut your computer down in step 2.
  2. XOX
  3. In the Shut Down Windows dialog box, click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight the appropriate safe mode option, and then press ENTER.
  6. If you have a dual-boot or multiple-boot system, choose the installation that you need to access using the arrow keys, and then press ENTER.

Notes

  • In safe mode, you have access to only basic files and drivers (mouse, monitor, keyboard, mass storage, base video, default system services, and no network connections). You can choose the Safe Mode with Networking option, which loads all of the above files and drivers and the essential services and drivers to start networking, or you can choose the Safe Mode with Command Prompt option, which is exactly the same as safe mode except that a command prompt is started instead of the graphical user interface. You can also choose Last Known Good Configuration, which starts your computer using the registry information that was saved at the last shutdown.
  • Safe mode helps you diagnose problems. If a symptom does not reappear when you start in safe mode, you can eliminate the default settings and minimum device drivers as possible causes. If a newly added device or a changed driver is causing problems, you can use safe mode to remove the device or reverse the change.
  • There are circumstances where safe mode will not be able to help you, such as when Windows system files that are required to start the system are corrupted or damaged. In this case, the Recovery Console may help you.
  • NUM LOCK must be off before the arrow keys on the numeric keypad will function.

Related Topics


Start the computer using the last known good configuration

Microsoft Windows graphic

To start the computer using the last known good configuration

  1. Print these instructions before continuing. They will not be available after you shut down your computer in step 2.
  2. XOX
  3. In the Shut Down Windows dialog box, click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight Last Known Good Configuration, and then press ENTER.
  6. If you have a dual-boot or multiple-boot system, choose the installation that you need to access using the arrow keys, and then press ENTER.

Notes

  • Choosing Last Known Good Configuration provides a way to recover from problems such as a newly added driver that may be incorrect for your hardware. It does not solve problems caused by corrupted or missing drivers or files.
  • When you choose Last Known Good Configuration, only the information in registry key HKLM\System\CurrentControlSet is restored. Any changes you have made in other registry keys remain.
  • NUM LOCK must be off before the arrow keys on the numeric keypad will function.

Related Topics


Start your computer at a command prompt

Microsoft Windows graphic

To start your computer at a command prompt

  1. Print these instructions before continuing. They will not be available after you shut your computer down in step 2.
  2. XOX
  3. In the Shut Down Windows dialog box, click Restart, and then click OK.
  4. When you see the message Please select the operating system to start, press F8.
  5. Use the arrow keys to highlight Safe Mode with Command Prompt, and then press ENTER.
  6. If you have a dual-boot or multiple-boot system, choose the installation that you need to access using the arrow keys, and then press ENTER.

Notes

  • NUM LOCK must be off before the arrow keys on the numeric keypad will function.

Related Topics


Startup options

If your computer will not start, you might be able to start it in safe mode. In safe mode, Windows uses default settings (VGA monitor, Microsoft mouse driver, no network connections, and the minimum device drivers required to start Windows).

If your computer will not start after you install new software, you might be able to start it with minimal services in safe mode and then change your computer settings or remove the newly installed software that is causing the problem. You can reinstall the service pack or the entire operating system, if necessary.

If a symptom does not reappear when you start in safe mode, you can eliminate the default settings and minimum device drivers as possible causes of the computer's inability to start.

The startup options are:

Safe Mode

Starts using only basic files and drivers (mouse, except serial mice; monitor; keyboard; mass storage; base video; default system services; and no network connections). If your computer does not start successfully using safe mode, you might need to use the Recovery Console feature to repair your system.

For more information, see To start the computer in safe mode.

Safe Mode with Networking

Starts using only basic files and drivers, and network connections.

Safe Mode with Command Prompt

Starts using only basic files and drivers. After logging on, the command prompt is displayed instead of the Windows graphical interface.

For more information, see To start your computer at a command prompt.

Enable Boot Logging

Starts while logging all the drivers and services that were loaded (or not loaded) by the system to a file. This file is called ntbtlog.txt and it is located in the %windir% directory. Safe Mode, Safe Mode with Networking, and Safe Mode with Command Prompt add to the boot log a list of all the drivers and services that are loaded. The boot log is useful in determining the exact cause of system startup problems.

Enable VGA Mode

Starts using the basic VGA driver. This mode is useful when you have installed a new driver for your video card that is causing Windows not to start properly. The basic video driver is always used when you start in Safe Mode (either Safe Mode, Safe Mode with Networking, or Safe Mode with Command Prompt).

Last Known Good Configuration

Starts using the registry information and drivers that Windows saved at the last shutdown. Any changes made since the last successful startup will be lost. Use Last Known Good Configuration only in cases of incorrect configuration. It does not solve problems caused by corrupted or missing drivers or files.

For more information, see To start the computer using the last known good configuration.

Directory Service Restore Mode

This is for the server operating systems and is only used in restoring the SYSVOL directory and the Active Directory directory service on a domain controller.

Debugging Mode

Starts while sending debug information through a serial cable to another computer.

If you are using, or have used, Remote Installation Services to install Windows on your computer, you might see additional options related to restoring or recovering your system using Remote Install Services.


Repair overview

Windows XP includes several features to ensure that your computer and the applications and devices installed on it work correctly. These features help you solve the problems that can result from adding, deleting, or replacing files that your operating system, applications, and devices require in order to function. Most of these features are available on all three versions of Windows XP: Windows XP Home Edition, Windows XP Professional, and Windows XP 64-Bit Edition.

The recovery feature or features that you use depend on the type of problem or failure you encounter. Use the following list to determine which features to use to address a specific problem.

Your personal data files are missing or have been corrupted, or you want to revert to a previous version of a file.

If you have saved a copy of the data file in another location, you can copy it from that location back to your hard disk. You can make a back-up copy at any time by copying the file to another location on your computer, to external storage such as a removable disk, or to a different computer.

Feature: Backup
When to use it: When you need to restore a version of a data file that you saved using Backup.
What it does: Restores files from backups.
Available on: All versions of Windows XP. By default, this utility is not installed on Windows XP Home Edition. You can install it from the Windows XP Home Edition compact disc, however.
For more information, see Backing up files and folders.

After updating a device driver, you can log on, but the system is unstable.

Feature: Device Driver Roll Back
When to use it: When the only change you want to undo is the updating of a device driver (other than a printer driver). You must be logged on as an administrator.
What it does: Reinstalls the driver you were using previously and restores any driver settings that were changed when you added the new driver. Affects no other files or settings. Printer drivers cannot be restored with Device Driver Roll Back.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see To roll back to the previous version of a driver.
Feature: System Restore
When to use it: You recently updated a device driver, and using Device Driver Roll Back did not restore stability to your system. You must be logged on as an administrator to use this feature.
What it does: Restores all system and application settings back to those that were in effect at a point in time you specify. Undoes key application, driver, and operating system file changes made since that time. Does not affect data files.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see System Restore overview.

After installing a new device, the system is unstable.

Feature: Disable the Device
When to use it: When you suspect that one or more specific hardware devices are causing the problem. You must be logged on as an administrator.
What it does: Disables the hardware device and its drivers.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see To disable a device.
Feature: System Restore
When to use it: When you suspect that one or more specific drivers are causing the problem, and disabling or removing the device does not solve the problem. You must be logged on as an administrator.
What it does: Restores all system and application settings back to those that were in effect at a point in time you specify. Restores key application, driver, and operating system files changed since that time. Does not affect data files.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see System Restore overview.

Changes made to your system or application settings are causing your computer to run poorly, and you do not know how to restore the previous settings.

Feature: Device Driver Roll Back
When to use it: When the only change you you want to undo is the updating of a device driver (other than a printer driver). You must be logged on as an administrator.
What it does: Reinstalls the device driver you were using previously, and restores any driver settings that were changed when the new driver was added. Affects no other files or settings. Printer drivers cannot be restored with Device Driver Roll Back.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see To roll back to the previous version of a driver.
Feature: System Restore
When to use it: When you suspect that any of the following changes have been made:
  • System or application settings have been changed. This includes changes made through property sheets and changes made to the registry.
  • Applications have been installed, updated, or removed.
  • Files other than data files have been added or deleted.
If you suspect the problem is due to installing an application, first try removing that application. If the problem persists, use System Restore. You must be logged on as an administrator to use System Restore.
What it does: Restores all system and application settings back to those that were in effect at a point in time you specify. Restores key application, driver, and operating system files changed since that time. Does not affect data files.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see System Restore overview.

After installing an application, the system is unstable or an application is not working properly.

Under some circumstances, the computer will prompt you to repair or reinstall an application from a network location or from the original set-up media (for example, the program CD). If this happens, follow the directions on the screen to repair your program. If you are not prompted with this information, you can use one of the following features to repair your program:

Feature: Add or Remove Programs
When to use it: When you suspect that one or more specific programs are causing the problem.
What it does: Removes the programs you specify.
Available on: All versions of Windows XP.
For more information, see Add or Remove Programs overview.
Feature: System Restore
When to use it: When using Add or Remove Programs did not solve the problem. You must be logged on as an administrator.
What it does: Restores all system and application settings back to those that were in effect at a point in time you specify. Restores key application, driver, and operating system files changed since that time. As a result, any changes the program has made to your system are undone. Does not affect data files.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see System Restore overview.

Operating system does not start (the logon screen does not appear)

Feature: Last Known Good
When to use it: When you suspect that a change you made to your computer before restarting might be causing the failure.
What it does: Restores the registry settings and drivers that were in effect the last time the computer started successfully.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see To start the computer using the last known good configuration.
Feature: Safe Mode and System Restore
When to use it: If you used Last Known Good and your system is still not working.
What it does: Starts using only basic files and drivers (mouse, except serial mice; monitor; keyboard; mass storage; base video; default system services; and no network connections). If you are able to start the system in Safe Mode, you can then use System Restore to restore all system and application settings back to those that were in effect at at a time when your system was working optimally.
Available on: Windows XP Home Edition and Windows XP Professional.
For more information, see System Restore overview or Start the computer in safe mode.
Feature: Recovery Console
When to use it: If using Last Known Good is unsuccessful, and you cannot start the computer in Safe Mode. This method is recommended only if you are an advanced user who can use basic commands to identify and locate problem drivers and files. To use the Recovery Console, restart the computer with the installation CD for the operating system in the CD drive. When prompted during text-mode setup, press R to start the Recovery Console.
What it does: From the Recovery Console, you can access the drives on your computer. You can then make any of the following changes so that you can start your computer:
  • Enable or disable device drivers or services.
  • Copy files from the installation CD for the operating system, or copy files from other removable media. For example, you can copy an essential file that had been deleted.
  • Create a new boot sector and new master boot record (MBR). You might need to do this if there are problems starting from the existing boot sector.
Available on: All versions of Windows XP.
For more information, see Recovery Console overview.
Feature: Automated System Recovery
When to use it: After all other attempts at recovery fail, or if you have replaced a damaged system hard drive. You must have previously used Backup to create an Automated System Recovery set.
What it does: Automated System Recovery restores all disk signatures, volumes, and partitions on the disks required to start the computer. Automated System Recovery then installs a simplified installation of Windows and automatically starts a restoration using the backup created by the Automated System Recovery wizard.
Available on: Windows XP Professional. Automated System Recovery is not available on Windows XP Home Edition.
For more information, see Automated System Recovery overview.
Feature: Windows Installation compact disc
When to use it: When you cannot start the computer in Safe Mode, neither Last Known Good nor Recovery Console has been successful, and you have no backup to use with Automated System Recovery.
What it does: Reinstalls the operating system. You will then need to reinstall your applications and restore your data files from backups.
Available on: All versions of Windows XP.